Bug 2128959 (CVE-2022-40154) - CVE-2022-40154 xstream: Xstream to serialise XML data was vulnerable to Denial of Service attacks
Summary: CVE-2022-40154 xstream: Xstream to serialise XML data was vulnerable to Denia...
Keywords:
Status: NEW
Alias: CVE-2022-40154
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2128960 2128961 2132684 2132685
Blocks: 2128414
TreeView+ depends on / blocked
 
Reported: 2022-09-22 06:02 UTC by Sandipan Roy
Modified: 2022-11-18 17:31 UTC (History)
87 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the XStream package. This flaw allows an attacker to cause a denial of service (DoS) in its target.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Sandipan Roy 2022-09-22 06:02:15 UTC
Those using Xstream to serialise XML data may be vulnerable to Denial of Service attacks (DOS). If the parser is running on user supplied input, an attacker may supply content that causes the parser to crash by stack overflow. This effect may support a denial of service attack.

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=50393
https://github.com/x-stream/xstream/issues/304

Comment 1 Sandipan Roy 2022-09-22 06:07:37 UTC
Created xstream tracking bugs for this issue:

Affects: epel-all [bug 2128960]
Affects: fedora-all [bug 2128961]


Note You need to log in before you can comment on or make changes to this bug.